import Dom from '../libs/dom'
import Widget from './widget'

class Custom extends Widget {
  constructor(layer, screen) {
    super(layer, screen)
    this.container = Dom.createElement('div', 'custom-container comp', this.el)
  }

  setPaint() {
    this.setListener()
    let paint = this.processPlaceholder(this.layer.paint)
    this.layer.render(this, paint)
  }
}

export default Custom
